## org.eclipse.jetty.http.security
Class Credential.MD5

    java.lang.Object
      org.eclipse.jetty.http.security.Credential
          org.eclipse.jetty.http.security.Credential.MD5

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Credential

    public static class Credential.MD5

extends Credential

MD5 Credentials

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jetty.http.security.Credential
`Credential.Crypt, Credential.MD5`

Field Summary
`static java.lang.Object` `__md5Lock`
`static java.lang.String` `__TYPE`

Method Summary
`boolean` `check(java.lang.Object credentials)` Check a credential
`static java.lang.String` `digest(java.lang.String password)`
`byte[]` `getDigest()`

Methods inherited from class org.eclipse.jetty.http.security.Credential
`getCredential`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __TYPE

    public static final java.lang.String __TYPE

See Also:
  Constant Field Values

### __md5Lock

    public static final java.lang.Object __md5Lock

Method Detail

### getDigest

    public byte[] getDigest()

### check

    public boolean check(java.lang.Object credentials)

  Description copied from class: `Credential`
  Check a credential

  Specified by:
    `check` in class `Credential`
  Parameters:
    `credentials` - The credential to check against. This may either be another Credential object, a Password object or a String which is interpreted by this credential.
  Returns:
    True if the credentials indicated that the shared secret is known to both this Credential and the passed credential.

### digest

    public static java.lang.String digest(java.lang.String password)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.